const std = @import("std");
    
pub fn main() !void {
	var gpa = std.heap.GeneralPurposeAllocator(.{}){};
	const allocator = gpa.allocator();
	defer _ = gpa.deinit();
	
	var args = try std.process.argsWithAllocator(allocator);
	defer args.deinit();
	
	while(args.next()) |arg|{
		std.debug.print("{s}\n", .{arg});
	}
}
